source: src/tests/preempt_longrun/Makefile.in @ 9d6f011

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newwith_gc
Last change on this file since 9d6f011 was 70969f8, checked in by Thierry Delisle <tdelisle@…>, 6 years ago

Updated longrun tests have a more consistent duration

  • Property mode set to 100644
File size: 28.4 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = src/tests/preempt_longrun
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/configure.ac
96am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
97        $(ACLOCAL_M4)
98DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
99mkinstalldirs = $(install_sh) -d
100CONFIG_HEADER = $(top_builddir)/config.h
101CONFIG_CLEAN_FILES =
102CONFIG_CLEAN_VPATH_FILES =
103AM_V_P = $(am__v_P_@AM_V@)
104am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
105am__v_P_0 = false
106am__v_P_1 = :
107AM_V_GEN = $(am__v_GEN_@AM_V@)
108am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
109am__v_GEN_0 = @echo "  GEN     " $@;
110am__v_GEN_1 =
111AM_V_at = $(am__v_at_@AM_V@)
112am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
113am__v_at_0 = @
114am__v_at_1 =
115SOURCES =
116DIST_SOURCES =
117am__can_run_installinfo = \
118  case $$AM_UPDATE_INFO_DIR in \
119    n|no|NO) false;; \
120    *) (install-info --version) >/dev/null 2>&1;; \
121  esac
122am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
123am__tty_colors_dummy = \
124  mgn= red= grn= lgn= blu= brg= std=; \
125  am__color_tests=no
126am__tty_colors = { \
127  $(am__tty_colors_dummy); \
128  if test "X$(AM_COLOR_TESTS)" = Xno; then \
129    am__color_tests=no; \
130  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
131    am__color_tests=yes; \
132  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
133    am__color_tests=yes; \
134  fi; \
135  if test $$am__color_tests = yes; then \
136    red='[0;31m'; \
137    grn='[0;32m'; \
138    lgn='[1;32m'; \
139    blu='[1;34m'; \
140    mgn='[0;35m'; \
141    brg='[1m'; \
142    std='[m'; \
143  fi; \
144}
145am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
146am__vpath_adj = case $$p in \
147    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
148    *) f=$$p;; \
149  esac;
150am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
151am__install_max = 40
152am__nobase_strip_setup = \
153  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
154am__nobase_strip = \
155  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
156am__nobase_list = $(am__nobase_strip_setup); \
157  for p in $$list; do echo "$$p $$p"; done | \
158  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
159  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
160    if (++n[$$2] == $(am__install_max)) \
161      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
162    END { for (dir in files) print dir, files[dir] }'
163am__base_list = \
164  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
165  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
166am__uninstall_files_from_dir = { \
167  test -z "$$files" \
168    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
169    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
170         $(am__cd) "$$dir" && rm -f $$files; }; \
171  }
172am__recheck_rx = ^[     ]*:recheck:[    ]*
173am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
174am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
175# A command that, given a newline-separated list of test names on the
176# standard input, print the name of the tests that are to be re-run
177# upon "make recheck".
178am__list_recheck_tests = $(AWK) '{ \
179  recheck = 1; \
180  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
181    { \
182      if (rc < 0) \
183        { \
184          if ((getline line2 < ($$0 ".log")) < 0) \
185            recheck = 0; \
186          break; \
187        } \
188      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
189        { \
190          recheck = 0; \
191          break; \
192        } \
193      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
194        { \
195          break; \
196        } \
197    }; \
198  if (recheck) \
199    print $$0; \
200  close ($$0 ".trs"); \
201  close ($$0 ".log"); \
202}'
203# A command that, given a newline-separated list of test names on the
204# standard input, create the global log from their .trs and .log files.
205am__create_global_log = $(AWK) ' \
206function fatal(msg) \
207{ \
208  print "fatal: making $@: " msg | "cat >&2"; \
209  exit 1; \
210} \
211function rst_section(header) \
212{ \
213  print header; \
214  len = length(header); \
215  for (i = 1; i <= len; i = i + 1) \
216    printf "="; \
217  printf "\n\n"; \
218} \
219{ \
220  copy_in_global_log = 1; \
221  global_test_result = "RUN"; \
222  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
223    { \
224      if (rc < 0) \
225         fatal("failed to read from " $$0 ".trs"); \
226      if (line ~ /$(am__global_test_result_rx)/) \
227        { \
228          sub("$(am__global_test_result_rx)", "", line); \
229          sub("[        ]*$$", "", line); \
230          global_test_result = line; \
231        } \
232      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
233        copy_in_global_log = 0; \
234    }; \
235  if (copy_in_global_log) \
236    { \
237      rst_section(global_test_result ": " $$0); \
238      while ((rc = (getline line < ($$0 ".log"))) != 0) \
239      { \
240        if (rc < 0) \
241          fatal("failed to read from " $$0 ".log"); \
242        print line; \
243      }; \
244      printf "\n"; \
245    }; \
246  close ($$0 ".trs"); \
247  close ($$0 ".log"); \
248}'
249# Restructured Text title.
250am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
251# Solaris 10 'make', and several other traditional 'make' implementations,
252# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
253# by disabling -e (using the XSI extension "set +e") if it's set.
254am__sh_e_setup = case $$- in *e*) set +e;; esac
255# Default flags passed to test drivers.
256am__common_driver_flags = \
257  --color-tests "$$am__color_tests" \
258  --enable-hard-errors "$$am__enable_hard_errors" \
259  --expect-failure "$$am__expect_failure"
260# To be inserted before the command running the test.  Creates the
261# directory for the log if needed.  Stores in $dir the directory
262# containing $f, in $tst the test, in $log the log.  Executes the
263# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
264# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
265# will run the test scripts (or their associated LOG_COMPILER, if
266# thy have one).
267am__check_pre = \
268$(am__sh_e_setup);                                      \
269$(am__vpath_adj_setup) $(am__vpath_adj)                 \
270$(am__tty_colors);                                      \
271srcdir=$(srcdir); export srcdir;                        \
272case "$@" in                                            \
273  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
274    *) am__odir=.;;                                     \
275esac;                                                   \
276test "x$$am__odir" = x"." || test -d "$$am__odir"       \
277  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
278if test -f "./$$f"; then dir=./;                        \
279elif test -f "$$f"; then dir=;                          \
280else dir="$(srcdir)/"; fi;                              \
281tst=$$dir$$f; log='$@';                                 \
282if test -n '$(DISABLE_HARD_ERRORS)'; then               \
283  am__enable_hard_errors=no;                            \
284else                                                    \
285  am__enable_hard_errors=yes;                           \
286fi;                                                     \
287case " $(XFAIL_TESTS) " in                              \
288  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
289    am__expect_failure=yes;;                            \
290  *)                                                    \
291    am__expect_failure=no;;                             \
292esac;                                                   \
293$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
294# A shell command to get the names of the tests scripts with any registered
295# extension removed (i.e., equivalently, the names of the test logs, with
296# the '.log' extension removed).  The result is saved in the shell variable
297# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
298# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
299# since that might cause problem with VPATH rewrites for suffix-less tests.
300# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
301am__set_TESTS_bases = \
302  bases='$(TEST_LOGS)'; \
303  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
304  bases=`echo $$bases`
305RECHECK_LOGS = $(TEST_LOGS)
306AM_RECURSIVE_TARGETS = check recheck
307TEST_SUITE_LOG = test-suite.log
308TEST_EXTENSIONS = @EXEEXT@ .test
309LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
310LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
311am__set_b = \
312  case '$@' in \
313    */*) \
314      case '$*' in \
315        */*) b='$*';; \
316          *) b=`echo '$@' | sed 's/\.log$$//'`; \
317       esac;; \
318    *) \
319      b='$*';; \
320  esac
321am__test_logs1 = $(TESTS:=.log)
322am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
323TEST_LOGS = $(am__test_logs2:.test.log=.log)
324TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
325TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
326        $(TEST_LOG_FLAGS)
327am__DIST_COMMON = $(srcdir)/Makefile.in \
328        $(top_srcdir)/automake/test-driver
329DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
330ACLOCAL = @ACLOCAL@
331ALLOCA = @ALLOCA@
332AMTAR = @AMTAR@
333AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
334AUTOCONF = @AUTOCONF@
335AUTOHEADER = @AUTOHEADER@
336AUTOMAKE = @AUTOMAKE@
337AWK = @AWK@
338BACKEND_CC = @BACKEND_CC@
339CC = @CFA_BINDIR@/@CFA_NAME@
340CCAS = @CCAS@
341CCASDEPMODE = @CCASDEPMODE@
342CCASFLAGS = @CCASFLAGS@
343CCDEPMODE = @CCDEPMODE@
344CFA_BACKEND_CC = @CFA_BACKEND_CC@
345CFA_BINDIR = @CFA_BINDIR@
346CFA_FLAGS = @CFA_FLAGS@
347CFA_INCDIR = @CFA_INCDIR@
348CFA_LIBDIR = @CFA_LIBDIR@
349CFA_NAME = @CFA_NAME@
350CFA_PREFIX = @CFA_PREFIX@
351CFLAGS = ${BUILD_FLAGS}
352CPP = @CPP@
353CPPFLAGS = @CPPFLAGS@
354CXX = @CXX@
355CXXDEPMODE = @CXXDEPMODE@
356CXXFLAGS = @CXXFLAGS@
357CYGPATH_W = @CYGPATH_W@
358DEFS = @DEFS@
359DEPDIR = @DEPDIR@
360ECHO_C = @ECHO_C@
361ECHO_N = @ECHO_N@
362ECHO_T = @ECHO_T@
363EGREP = @EGREP@
364EXEEXT = @EXEEXT@
365GREP = @GREP@
366INSTALL = @INSTALL@
367INSTALL_DATA = @INSTALL_DATA@
368INSTALL_PROGRAM = @INSTALL_PROGRAM@
369INSTALL_SCRIPT = @INSTALL_SCRIPT@
370INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
371LDFLAGS = @LDFLAGS@
372LEX = @LEX@
373LEXLIB = @LEXLIB@
374LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
375LIBOBJS = @LIBOBJS@
376LIBS = @LIBS@
377LTLIBOBJS = @LTLIBOBJS@
378MACHINE_TYPE = @MACHINE_TYPE@
379MAINT = @MAINT@
380MAKEINFO = @MAKEINFO@
381MKDIR_P = @MKDIR_P@
382OBJEXT = @OBJEXT@
383PACKAGE = @PACKAGE@
384PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
385PACKAGE_NAME = @PACKAGE_NAME@
386PACKAGE_STRING = @PACKAGE_STRING@
387PACKAGE_TARNAME = @PACKAGE_TARNAME@
388PACKAGE_URL = @PACKAGE_URL@
389PACKAGE_VERSION = @PACKAGE_VERSION@
390PATH_SEPARATOR = @PATH_SEPARATOR@
391RANLIB = @RANLIB@
392SET_MAKE = @SET_MAKE@
393SHELL = @SHELL@
394STRIP = @STRIP@
395VERSION = @VERSION@
396YACC = @YACC@
397YFLAGS = @YFLAGS@
398abs_builddir = @abs_builddir@
399abs_srcdir = @abs_srcdir@
400abs_top_builddir = @abs_top_builddir@
401abs_top_srcdir = @abs_top_srcdir@
402ac_ct_CC = @ac_ct_CC@
403ac_ct_CXX = @ac_ct_CXX@
404am__include = @am__include@
405am__leading_dot = @am__leading_dot@
406am__quote = @am__quote@
407am__tar = @am__tar@
408am__untar = @am__untar@
409bindir = @bindir@
410build = @build@
411build_alias = @build_alias@
412build_cpu = @build_cpu@
413build_os = @build_os@
414build_vendor = @build_vendor@
415builddir = @builddir@
416datadir = @datadir@
417datarootdir = @datarootdir@
418docdir = @docdir@
419dvidir = @dvidir@
420exec_prefix = @exec_prefix@
421host = @host@
422host_alias = @host_alias@
423host_cpu = @host_cpu@
424host_os = @host_os@
425host_vendor = @host_vendor@
426htmldir = @htmldir@
427includedir = @includedir@
428infodir = @infodir@
429install_sh = @install_sh@
430libdir = @libdir@
431libexecdir = @libexecdir@
432localedir = @localedir@
433localstatedir = @localstatedir@
434mandir = @mandir@
435mkdir_p = @mkdir_p@
436oldincludedir = @oldincludedir@
437pdfdir = @pdfdir@
438prefix = @prefix@
439program_transform_name = @program_transform_name@
440psdir = @psdir@
441runstatedir = @runstatedir@
442sbindir = @sbindir@
443sharedstatedir = @sharedstatedir@
444srcdir = @srcdir@
445sysconfdir = @sysconfdir@
446target_alias = @target_alias@
447top_build_prefix = @top_build_prefix@
448top_builddir = @top_builddir@
449top_srcdir = @top_srcdir@
450repeats = 10
451max_time = 600
452preempt = 1_000ul
453debug = -debug
454REPEAT = ${abs_top_srcdir}/tools/repeat
455TIME = /usr/bin/time -f "%E"
456BUILD_FLAGS = -g -Wall -Wno-unused-function -quiet @CFA_FLAGS@ -O2 -DPREEMPTION_RATE=${preempt} -DLONG_TEST
457TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
458all: all-am
459
460.SUFFIXES:
461.SUFFIXES: .log .test .test$(EXEEXT) .trs
462$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
463        @for dep in $?; do \
464          case '$(am__configure_deps)' in \
465            *$$dep*) \
466              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
467                && { if test -f $@; then exit 0; else break; fi; }; \
468              exit 1;; \
469          esac; \
470        done; \
471        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/tests/preempt_longrun/Makefile'; \
472        $(am__cd) $(top_srcdir) && \
473          $(AUTOMAKE) --foreign src/tests/preempt_longrun/Makefile
474Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
475        @case '$?' in \
476          *config.status*) \
477            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
478          *) \
479            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
480            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
481        esac;
482
483$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
484        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
485
486$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
487        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
488$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
489        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
490$(am__aclocal_m4_deps):
491tags TAGS:
492
493ctags CTAGS:
494
495cscope cscopelist:
496
497
498# Recover from deleted '.trs' file; this should ensure that
499# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
500# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
501# to avoid problems with "make -n".
502.log.trs:
503        rm -f $< $@
504        $(MAKE) $(AM_MAKEFLAGS) $<
505
506# Leading 'am--fnord' is there to ensure the list of targets does not
507# expand to empty, as could happen e.g. with make check TESTS=''.
508am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
509am--force-recheck:
510        @:
511
512$(TEST_SUITE_LOG): $(TEST_LOGS)
513        @$(am__set_TESTS_bases); \
514        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
515        redo_bases=`for i in $$bases; do \
516                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
517                    done`; \
518        if test -n "$$redo_bases"; then \
519          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
520          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
521          if $(am__make_dryrun); then :; else \
522            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
523          fi; \
524        fi; \
525        if test -n "$$am__remaking_logs"; then \
526          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
527               "recursion detected" >&2; \
528        elif test -n "$$redo_logs"; then \
529          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
530        fi; \
531        if $(am__make_dryrun); then :; else \
532          st=0;  \
533          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
534          for i in $$redo_bases; do \
535            test -f $$i.trs && test -r $$i.trs \
536              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
537            test -f $$i.log && test -r $$i.log \
538              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
539          done; \
540          test $$st -eq 0 || exit 1; \
541        fi
542        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
543        ws='[   ]'; \
544        results=`for b in $$bases; do echo $$b.trs; done`; \
545        test -n "$$results" || results=/dev/null; \
546        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
547        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
548        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
549        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
550        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
551        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
552        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
553        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
554          success=true; \
555        else \
556          success=false; \
557        fi; \
558        br='==================='; br=$$br$$br$$br$$br; \
559        result_count () \
560        { \
561            if test x"$$1" = x"--maybe-color"; then \
562              maybe_colorize=yes; \
563            elif test x"$$1" = x"--no-color"; then \
564              maybe_colorize=no; \
565            else \
566              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
567            fi; \
568            shift; \
569            desc=$$1 count=$$2; \
570            if test $$maybe_colorize = yes && test $$count -gt 0; then \
571              color_start=$$3 color_end=$$std; \
572            else \
573              color_start= color_end=; \
574            fi; \
575            echo "$${color_start}# $$desc $$count$${color_end}"; \
576        }; \
577        create_testsuite_report () \
578        { \
579          result_count $$1 "TOTAL:" $$all   "$$brg"; \
580          result_count $$1 "PASS: " $$pass  "$$grn"; \
581          result_count $$1 "SKIP: " $$skip  "$$blu"; \
582          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
583          result_count $$1 "FAIL: " $$fail  "$$red"; \
584          result_count $$1 "XPASS:" $$xpass "$$red"; \
585          result_count $$1 "ERROR:" $$error "$$mgn"; \
586        }; \
587        {                                                               \
588          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
589            $(am__rst_title);                                           \
590          create_testsuite_report --no-color;                           \
591          echo;                                                         \
592          echo ".. contents:: :depth: 2";                               \
593          echo;                                                         \
594          for b in $$bases; do echo $$b; done                           \
595            | $(am__create_global_log);                                 \
596        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
597        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
598        if $$success; then                                              \
599          col="$$grn";                                                  \
600         else                                                           \
601          col="$$red";                                                  \
602          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
603        fi;                                                             \
604        echo "$${col}$$br$${std}";                                      \
605        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
606        echo "$${col}$$br$${std}";                                      \
607        create_testsuite_report --maybe-color;                          \
608        echo "$$col$$br$$std";                                          \
609        if $$success; then :; else                                      \
610          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
611          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
612            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
613          fi;                                                           \
614          echo "$$col$$br$$std";                                        \
615        fi;                                                             \
616        $$success || exit 1
617
618check-TESTS:
619        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
620        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
621        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
622        @set +e; $(am__set_TESTS_bases); \
623        log_list=`for i in $$bases; do echo $$i.log; done`; \
624        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
625        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
626        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
627        exit $$?;
628recheck: all
629        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
630        @set +e; $(am__set_TESTS_bases); \
631        bases=`for i in $$bases; do echo $$i; done \
632                 | $(am__list_recheck_tests)` || exit 1; \
633        log_list=`for i in $$bases; do echo $$i.log; done`; \
634        log_list=`echo $$log_list`; \
635        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
636                am__force_recheck=am--force-recheck \
637                TEST_LOGS="$$log_list"; \
638        exit $$?
639block.log: block
640        @p='block'; \
641        b='block'; \
642        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
643        --log-file $$b.log --trs-file $$b.trs \
644        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
645        "$$tst" $(AM_TESTS_FD_REDIRECT)
646coroutine.log: coroutine
647        @p='coroutine'; \
648        b='coroutine'; \
649        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
650        --log-file $$b.log --trs-file $$b.trs \
651        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
652        "$$tst" $(AM_TESTS_FD_REDIRECT)
653create.log: create
654        @p='create'; \
655        b='create'; \
656        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
657        --log-file $$b.log --trs-file $$b.trs \
658        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
659        "$$tst" $(AM_TESTS_FD_REDIRECT)
660disjoint.log: disjoint
661        @p='disjoint'; \
662        b='disjoint'; \
663        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
664        --log-file $$b.log --trs-file $$b.trs \
665        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
666        "$$tst" $(AM_TESTS_FD_REDIRECT)
667enter.log: enter
668        @p='enter'; \
669        b='enter'; \
670        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
671        --log-file $$b.log --trs-file $$b.trs \
672        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
673        "$$tst" $(AM_TESTS_FD_REDIRECT)
674enter3.log: enter3
675        @p='enter3'; \
676        b='enter3'; \
677        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
678        --log-file $$b.log --trs-file $$b.trs \
679        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
680        "$$tst" $(AM_TESTS_FD_REDIRECT)
681processor.log: processor
682        @p='processor'; \
683        b='processor'; \
684        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
685        --log-file $$b.log --trs-file $$b.trs \
686        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
687        "$$tst" $(AM_TESTS_FD_REDIRECT)
688stack.log: stack
689        @p='stack'; \
690        b='stack'; \
691        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
692        --log-file $$b.log --trs-file $$b.trs \
693        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
694        "$$tst" $(AM_TESTS_FD_REDIRECT)
695wait.log: wait
696        @p='wait'; \
697        b='wait'; \
698        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
699        --log-file $$b.log --trs-file $$b.trs \
700        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
701        "$$tst" $(AM_TESTS_FD_REDIRECT)
702yield.log: yield
703        @p='yield'; \
704        b='yield'; \
705        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
706        --log-file $$b.log --trs-file $$b.trs \
707        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
708        "$$tst" $(AM_TESTS_FD_REDIRECT)
709.test.log:
710        @p='$<'; \
711        $(am__set_b); \
712        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
713        --log-file $$b.log --trs-file $$b.trs \
714        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
715        "$$tst" $(AM_TESTS_FD_REDIRECT)
716@am__EXEEXT_TRUE@.test$(EXEEXT).log:
717@am__EXEEXT_TRUE@       @p='$<'; \
718@am__EXEEXT_TRUE@       $(am__set_b); \
719@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
720@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
721@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
722@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
723
724distdir: $(DISTFILES)
725        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
726        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
727        list='$(DISTFILES)'; \
728          dist_files=`for file in $$list; do echo $$file; done | \
729          sed -e "s|^$$srcdirstrip/||;t" \
730              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
731        case $$dist_files in \
732          */*) $(MKDIR_P) `echo "$$dist_files" | \
733                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
734                           sort -u` ;; \
735        esac; \
736        for file in $$dist_files; do \
737          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
738          if test -d $$d/$$file; then \
739            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
740            if test -d "$(distdir)/$$file"; then \
741              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
742            fi; \
743            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
744              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
745              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
746            fi; \
747            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
748          else \
749            test -f "$(distdir)/$$file" \
750            || cp -p $$d/$$file "$(distdir)/$$file" \
751            || exit 1; \
752          fi; \
753        done
754check-am: all-am
755        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
756check: check-am
757all-am: Makefile all-local
758installdirs:
759install: install-am
760install-exec: install-exec-am
761install-data: install-data-am
762uninstall: uninstall-am
763
764install-am: all-am
765        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
766
767installcheck: installcheck-am
768install-strip:
769        if test -z '$(STRIP)'; then \
770          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
771            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
772              install; \
773        else \
774          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
775            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
776            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
777        fi
778mostlyclean-generic:
779        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
780        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
781        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
782
783clean-generic:
784
785distclean-generic:
786        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
787        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
788
789maintainer-clean-generic:
790        @echo "This command is intended for maintainers to use"
791        @echo "it deletes files that may require special tools to rebuild."
792clean: clean-am
793
794clean-am: clean-generic clean-local mostlyclean-am
795
796distclean: distclean-am
797        -rm -f Makefile
798distclean-am: clean-am distclean-generic
799
800dvi: dvi-am
801
802dvi-am:
803
804html: html-am
805
806html-am:
807
808info: info-am
809
810info-am:
811
812install-data-am:
813
814install-dvi: install-dvi-am
815
816install-dvi-am:
817
818install-exec-am:
819
820install-html: install-html-am
821
822install-html-am:
823
824install-info: install-info-am
825
826install-info-am:
827
828install-man:
829
830install-pdf: install-pdf-am
831
832install-pdf-am:
833
834install-ps: install-ps-am
835
836install-ps-am:
837
838installcheck-am:
839
840maintainer-clean: maintainer-clean-am
841        -rm -f Makefile
842maintainer-clean-am: distclean-am maintainer-clean-generic
843
844mostlyclean: mostlyclean-am
845
846mostlyclean-am: mostlyclean-generic
847
848pdf: pdf-am
849
850pdf-am:
851
852ps: ps-am
853
854ps-am:
855
856uninstall-am:
857
858.MAKE: check-am install-am install-strip
859
860.PHONY: all all-am all-local check check-TESTS check-am clean \
861        clean-generic clean-local cscopelist-am ctags-am distclean \
862        distclean-generic distdir dvi dvi-am html html-am info info-am \
863        install install-am install-data install-data-am install-dvi \
864        install-dvi-am install-exec install-exec-am install-html \
865        install-html-am install-info install-info-am install-man \
866        install-pdf install-pdf-am install-ps install-ps-am \
867        install-strip installcheck installcheck-am installdirs \
868        maintainer-clean maintainer-clean-generic mostlyclean \
869        mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
870        uninstall uninstall-am
871
872.PRECIOUS: Makefile
873
874
875.INTERMEDIATE: ${TESTS}
876
877all-local: ${TESTS:=.run}
878
879clean-local:
880        rm -f ${TESTS}
881
882% : %.c ${CC}
883        ${AM_V_GEN}${CC} ${CFLAGS} ${<} $(debug) -o ${@}
884
885%.run : % ${REPEAT}
886        @ time ${REPEAT} -r out.log -i -s $(repeats) timeout ${max_time} ./${<}
887        @ rm ${<}
888        @ echo -e "${<}: SUCCESS\n"
889
890%.time : % ${REPEAT}
891        @ ${REPEAT} -i -s -- $(repeats) $(TIME) -a -o times.log ./${<}
892        @ rm ${<}
893        @ echo -e "${<}: SUCCESS\n"
894
895${REPEAT}:
896        @+make -C ${abs_top_srcdir}/tools/
897
898# Tell versions [3.59,3.63) of GNU make to not export all variables.
899# Otherwise a system limit (for SysV at least) may be exceeded.
900.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.